From 3451bebdb293e60a097f45c05aa1cc486d475b2d Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 1 Jul 2019 13:45:12 +0200
Subject: [PATCH] Turn ident warning into an actual <warning>

The warning about using ident for authorization or access control was
not formatted as a <warning>, making it less visible for readers used
to the PostgreSQL documentation style.  Wrap the quote in a <warning>
block with slight rewording to emphasize the warning.
---
 doc/src/sgml/client-auth.sgml | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index ffed887ab7..bf7a70ee70 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -1426,15 +1426,18 @@ omicron         bryanh                  guest1
     therefore only appropriate for closed networks where each client
     machine is under tight control and where the database and system
     administrators operate in close contact. In other words, you must
-    trust the machine running the ident server.
-    Heed the warning:
-    <blockquote>
-     <attribution>RFC 1413</attribution>
-     <para>
-      The Identification Protocol is not intended as an authorization
-      or access control protocol.
-     </para>
-    </blockquote>
+    trust the machine running the ident server. RFC 1413 explicitly
+    warns about using ident authentication for authorization or access
+    control:
+    <warning>
+     <blockquote>
+      <attribution>RFC 1413</attribution>
+      <para>
+       The Identification Protocol is not intended as an authorization
+       or access control protocol.
+      </para>
+     </blockquote>
+    </warning>
    </para>
 
    <para>
-- 
2.14.1.145.gb3622a4ee

